/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
package hoverball.simulator;


// ---- Event
// (event 1 4 9)

public class Event
{
   public static final int NONE = 0;
   public static final int COLLISION = 1;

   public int what;  // NONE,COLLISION
   public int i;     // index of first object in View.disks[]-list
   public int j;     // index of second object in View.disks[]-list

   public Event (int what, int i, int j)
   {
      this.what = what;
      this.i = i;
      this.j = j;
   }
}

/*
   public void serialize (StringBuffer buffer)
   {
      buffer.append("(event ");
      buffer.append(putInt(what));
      buffer.append(' ');
      buffer.append(putInt(i));
      buffer.append(' ');
      buffer.append(putInt(j));
      buffer.append(')');
   }

   public static Serial deserialize (Object[] objects)
   {
      String keyword = getString(objects[0]); if (!keyword.equals("event")) return null;
      if (objects.length != 4) throw new IllegalNumberOfArguments();

      int what = getInt(objects[1]);
      int i = getInt(objects[2]);
      int j = getInt(objects[3]);
      return new Event(what,i,j);
   }
*/

