package hoverball.team.Barbarians_;

import hoverball.*;
import hoverball.math.Matrix;;


public class StoredNode
{
	public String id;
	public Matrix previous = new Matrix(1);
	public Matrix position = new Matrix(1);
	public boolean active = false;
	
	public StoredNode( Puck node )
	{
		this.id = node.id;
		this.position = node.X;
		active = true;
	}
	
	public void updatePosition( Matrix newPos )
	{
		previous = position;
		position = newPos;
		active = true;
	}
	
	public void correctPosition( Matrix moveFactor )
	{
		if ( !active )
		{
		previous = position;
		position.mul(Matrix.inv(moveFactor));
		}
	}
}
