package hoverball.team.LasMaquinaTeam_;

/**
 * L'état de l'agent par rapport à la balle
 * @author Cyrille COIN, Florian COLIN, Thibaud COMTE
 *
 */
public enum State {
	
	/**
	 * L'agent n'a pas la balle
	 */
	HAVE_NO_BALL, 
	
	/**
	 * L'agent a la balle
	 */
	HAVE_BALL, 
	
	/**
	 * L'agent est à coté de la balle
	 * Si il est à coté, il peut tenter de la prendre
	 */
	NEAR_BALL
	
}
