package hoverball.team.LazyLosers_;
// *************************************************************************
//   Lazy Losers: Dummy Team
// *************************************************************************

import hoverball.*;
import hoverball.debug.*;

public class LazyLosers extends Team
{
	// ---- Application

	public static void main (String[] args)
	{
		Application.setBounds();

		new LazyLosers("Lazy Losers").show();
	}

	// ---- Constructor
  
	public LazyLosers () { this(null); }
   public LazyLosers (String team) { this(team,0xAAAACC); }
   public LazyLosers (int color) { this(null,color); }
	public LazyLosers (String team, int color)
	{
		super((team == null || team == "")? "Lazy Losers" : team,
			"1.0 (August 2007)","Stefan Bornhofen","Today's not our day");

		add(new LazyLoser(null,"Sleepy",color,1));
		add(new LazyLoser(null,"Weary",color,2));
		add(new LazyLoser(null,"Dully",color,3));
	}
}

// *************************************************************************
// Spieler
// *************************************************************************

class LazyLoser extends Unit
{
	String name ="";
	int n = 0;

	LazyLoser (String team, String name, int color, int n) {
    super(team,name,color);
    this.name = name;
    this.n = n;
    main.setBackground(new java.awt.Color(0xFFBB33));
  }

  // ---- Loop ----------------------------------------------------------------
  public void loop () {
	 while (look())  // loop structure:  while (look()) { ...; action(...); }
		debug (new Text(null,name,1,0));
  }
}
