import hoverball.*
import hoverball.debug.*

class Debuggy extends Human
{
   Debuggy () { super("Debuggy",0xDD77FF) }

   void loop ()
   {
      while(look())
      {
         for (Puck puck in pucks) {
            if (puck.X == null) continue
               
            if (puck == self)
               debug(new Text(puck.X.c,format_(energy),2.2),0xFFFFFF)
            else
               debug(new Text(puck.X.c,puck.id,-2.2),0xFFFFFF)

            if (puck.what == NODE)
               debug(new X(puck.X.c))
            else if (puck.t != 0 && puck.t != self.t)
               debug(new Circle(puck.X.c,Math.PI/15),0xDDAA00)
            else if (puck.equals(BALL,0))
               debug(new Circle(puck.X.c,Math.PI/15),0xFFFFFF)
            else if (puck.equals(BALL,self.t)) {
               debug(new Circle(puck.X.c,Math.PI/15))
               debug(new Line(null,puck.X.c))
            }
         }
      }
   }

   private static String format_(double x)
   {
      int X = (int)(x*100)
      int a = X.intdiv(100)
      int b = X.intdiv(10)%10
      int c = X%10
      return ""+a+"."+b+""+c
   }
}
