import hoverball.*
import hoverball.math.*

class Clumsy:hoverball.Unit (null,"Clumsy",0x8888FF)  // Name "Clumsy", Farbe hellblau
{
   override fun loop() 
   {
      val sphere = Sphere(option("world.radius"))  // Parameter auslesen...
      val Qmax = option("unit.charge.max")
      val Fmax = option("unit.engine.max")
    
      while (look())
      {
         val ball = puck(BALL,0,1)       // das ist der Ball
         val goal = puck(BALL,self.t,1)  // das ist das "Tor"

         if (ball == null) action(0.0,-Fmax,Fmax)     // sieht keinen Ball? drehe!
         else {                                       // sieht Ball:
            val a = if ((goal != null)) goal.X.c * ball.X.c  // berechne
                    else                ball.X.c * self.X.c  // Drehachse
            val X = ball.X * Matrix.rot(a, (self.r+ball.r)/sphere.rad)
            val x = sphere.warp(X.c)                  // X ist die Schussposition
        
            val l = -x.arg() + Math.max(0.2,1-10*Math.abs(x.arg())) // drehe und
            val r =  x.arg() + Math.max(0.2,1-10*Math.abs(x.arg())) // fahre zu X
            val q = if ((x.abs() < ball.r)) 0.5 else 0.0  // falls auf X: Schuss!
        
            action(q*Qmax,l*Fmax,r*Fmax)
         }
      }
   }
}
