
/*
scalac -classpath ../hoverball.jar:. *.scala
scala -classpath ../hoverball.jar:. Play

[ WINDOWS: use '\' for '/' and ';' for ':' ]
*/

import hoverball._
import hoverball.math._

object Play 
{
   def main(args: Array[String]) 
   {
      println("Let's play Hoverball in Scala!");

      var session = new Session("Hoverball Demo (Scala)", args)

      var clumsy = new Clumsy()
      var debuggy = new Debuggy()

      session.add(clumsy)
      session.add(debuggy,true)

      session.start(debuggy)
   }
}

