
/*
javac -cp ../hoverball.jar:. Play.java
java -cp ../hoverball.jar:. Play    

[ WINDOWS: use '\' for '/' and ';' for ':' ]
*/

import hoverball.*;

public class Play
{
   public static void main (String[] args)
   {
      System.out.println("Let's play Hoverball!");

      Session session = new Session("Hoverball Demo");               

      Unit clumsy = new Clumsy();
      Unit debuggy = new Debuggy();

      session.add(clumsy);
      session.add(debuggy,true);
      
      session.start(debuggy);
   }
}

