/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
package hoverball.simulator;


class Action
{
   public final int t;
   public final int n;

   public double polarise;
   public double gauche;
   public double droite;
   public String message;

   public Action (int t, int n, double polarise, double gauche, double droite, String message)
   {
      this.t = t;
      this.n = n;

      this.polarise = polarise;
      this.gauche = gauche;
      this.droite = droite;
      this.message = message;
   }
}

