package hoverball.team.LasMaquinaTeam_;

import hoverball.Application;
import hoverball.Team;
import hoverball.team.TeamTotal_.TeamTotal;

/**
 * L'équipe Las Maquina composé de 3 agents
 * @author Cyrille COIN, Florian COLIN, Thibaud COMTE
 *
 */
public class LasMaquinaTeam extends Team 
{
	// ---- Application

	public static void main (String[] args)
	{
		Application.setBounds();
	    
		new LasMaquinaTeam().show();
 	}

	// ---- Constructor

	public LasMaquinaTeam() { this(null); }
	public LasMaquinaTeam(String team) { this(team,0x99CCCC); }
   public LasMaquinaTeam(int color) { this(null,color); }
	public LasMaquinaTeam(String team, int color)
	{
		super((team == null || team == "")? "Las Maquina Team" : team,
		   "Mars 2010", "COIN COLIN COMTE", "Las Maquina rocks du bistou !");
		
		add(new Agent(team, "Cyrille", 0, color));
		add(new Agent(team, "Florian", 1, color));
		add(new Agent(team, "Thibaud", 2, color));
	}
}
